Author Topic: Osnaps in polyline object.....  (Read 3192 times)

0 Members and 1 Guest are viewing this topic.

Birdy

  • Guest
Osnaps in polyline object.....
« on: August 31, 2005, 02:32:59 PM »
....seems to work at random.
(Value for OSMODE <639>)  My snaps work fine except on some polyline objects.  This is a random (afaik) occurance.  Sometimes they work, sometimes they don't.  It seems that arcs are the main culprit.  For some reason I can't dimension an arc which is part of a polyline. (Used to, with no problem.) I get "Object selected is not a circle or arc." "Select arc or circle:" Lisp routines that we run never caused this before, what gives?  I'm at a loss.  My machine is the only one bumfungled up.
TIA for the help.
Oh yeah, Windoz 2000 all current updates, etc.
AutoCAD 2004, ditto.

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Osnaps in polyline object.....
« Reply #1 on: August 31, 2005, 02:40:32 PM »
Try setting the system variable whiparc to 1.

/guess
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.com • http://cadanalyst.slack.com • http://linkedin.com/in/cadanalyst

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #2 on: August 31, 2005, 02:44:41 PM »
whiparc=1 (already was) Not it.
good guess though.....
....and quick too! :)

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Osnaps in polyline object.....
« Reply #3 on: August 31, 2005, 02:48:18 PM »
Are the polylines splines / fit ?
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.com • http://cadanalyst.slack.com • http://linkedin.com/in/cadanalyst

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Osnaps in polyline object.....
« Reply #4 on: August 31, 2005, 02:51:23 PM »
What's the elevation of one of these polylines and what is the value of the elevation variable currently?

Is the current view ppan to the current ucs?
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.com • http://cadanalyst.slack.com • http://linkedin.com/in/cadanalyst

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #5 on: August 31, 2005, 02:58:02 PM »
Tis my habit to use this:
Code: [Select]
;;Tip1849:   PJ.LSP      POLYLINE JOIN     (c) 2003 Rui Rosario Colaηo
;From: Rui_Rosario_Colaηo
;
;MODIFICATION: (SETVAR "PEDITACCEPT" 0)
;MADE JAN '05 J.HARCUS
;
;
;
(defun c:pj ( / ss1 plw)
  (prompt "\n Select lines to convert to polylines ")
  (SETVAR "PEDITACCEPT" 0)
  (setq ss1 (ssget))
    (command "pedit"
  (ssname ss1 0)
  "y"
  "j"
  (princ ss1)
  ""
  "x"
  )
  (princ)
  (princ
    "\n Type PJ at command prompt to convert lines to single polyline "
  )
  (SETVAR "PEDITACCEPT" 1)
  (princ)
)

which has always worked in the past with no problems.
(Dang! this place is to qucik for me!)

Uh..., No, the polylines are JOINED, never fit.

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #6 on: August 31, 2005, 02:59:11 PM »
Quote from: MP
What's the elevation of one of these polylines and what is the value of the elevation variable currently?

Is the current view ppan to the current ucs?


I haven't got a clue!  Everything is 2d at z=0. Is that what you mean?

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #7 on: August 31, 2005, 03:00:24 PM »
Command: elevation
Enter new value for ELEVATION <0'-0">:

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #8 on: August 31, 2005, 03:04:01 PM »
Further, it seems that the problem is likely to be in COPIED polyline objects, FWIW.

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Osnaps in polyline object.....
« Reply #9 on: August 31, 2005, 03:08:08 PM »
I dunno. Is your drawing real dense, in particular, a lot of hatching?
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.com • http://cadanalyst.slack.com • http://linkedin.com/in/cadanalyst

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Osnaps in polyline object.....
« Reply #10 on: August 31, 2005, 03:10:24 PM »
Have you run an audit lately?

What's your plinetype setting at?
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.com • http://cadanalyst.slack.com • http://linkedin.com/in/cadanalyst

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #11 on: August 31, 2005, 03:13:57 PM »
Nope.  Some hatching, but not much.  Just a desk.  Only started it this PM.  Same problem yesterday in another small simple file (relative to our usual stuff...)

As an aside, we've all been having some probs with a2k4 since (it seems) we've got new upgrades to McAfee Virusscanprofessional ( Build 9.1.08 ), but I can't nail the problem to it...
...YET!

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #12 on: August 31, 2005, 03:16:27 PM »
Quote
Command:  AUDIT
 169     Blocks audited? [Yes/No] <N>: y
Pass 1 1158    objects audited
Pass 2 1158    objects audited
Pass 3 6900    objects audited
Total errors found 0 fixed 0


Quote
Command: plinetype
Enter new value for PLINETYPE <0>:

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #13 on: August 31, 2005, 03:18:56 PM »
Quote
Command: plinetype
Enter new value for PLINETYPE <0>: 1


no apparent difference :(

Bob Wahr

  • Guest
Osnaps in polyline object.....
« Reply #14 on: August 31, 2005, 04:25:25 PM »
If I understand correctly, this happens on your machine, but does not happen with the same drawing on other machines.  If so, as a last resort, tedious as it is, you can do a SETVAR ? * and copy/paste the results into a text file, then do the same on another machine.  Compare the settings to see what, if anything, is different that could affect it.  You might try looking at APBOX and AUTOSNAP.

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #15 on: August 31, 2005, 04:31:48 PM »
Actually, not a bad idea.
Tedious, yes, bad, no.
Tanks!

Bob Wahr

  • Guest
Osnaps in polyline object.....
« Reply #16 on: August 31, 2005, 05:56:51 PM »
something I've done before when doing this is to bring it into excel so you can put it together in an easily comparable format like

variable name | value 1 | value 2

sourdough

  • Bull Frog
  • Posts: 367
Re: Osnaps in polyline object.....
« Reply #17 on: August 31, 2005, 08:56:53 PM »
Quote from: Birdy
....seems to work at random.
(Value for OSMODE <639>)  My snaps work fine except on some polyline objects.  This is a random (afaik) occurance.  Sometimes they work, sometimes they don't.  It seems that arcs are the main culprit.  For some reason I can't dimension an arc which is part of a polyline. (Used to, with no problem.) I get "Object selected is not a circle or arc." "Select arc or circle:" Lisp routines that we run never caused this before, what gives?  I'm at a loss.  My machine is the only one bumfungled up.
TIA for the help.
Oh yeah, Windoz 2000 all current updates, etc.
AutoCAD 2004, ditto.


I found this little gem. When sys var APBOX is set to 0 or 1 you get different grip point with polylines. Check this variable and test your pick on the polyline in question. It can be seen immediately. It works in conjuction with WHIPARC.

Here are some of my uses of APBOX and WHIPARC that I started using
since acad 2000i and haven't done anything weird to me.

Code: [Select]
;***************copy basepoint

(defun c:pp (/ obox )
   (setvar "cmdecho" 0)

(setq obox (getvar "apbox"))
(setvar "apbox" 0)
   (command "_copybase")
(setvar "apbox" obox)
   (setvar "cmdecho" 1)
(princ)
) ; end defun


;**************distance
 

(defun c:di ( / xxfrom xxto )
(setvar "CMDECHO" 1)
        (setq oosm (getvar "OSMODE"))
(SETVAR "OSMODE" 173)
   
   (command "dist" (setq xxfrom (getpoint "Select First Point:")) (setq xxto (getpoint "Select Second Point:")))

(setvar "OSMODE" oosm)
 
) ; end defun

;*****************draworder

(defun c:dd ( / xx yy )
(setvar "CMDECHO" 0)
   (setq xx (ssget))
   (initget "Above Under Front Back")
   (setq yy (getkword "Enter object ordering option [Above object/Under object/Front/Back] <Back>"))
   (setq yy (if (eq yy nil) "Back" yy))
   (command "draworder" xx "" yy)
(command "redraw")
(setvar "CMDECHO" 1)
(princ)
) ; end defun
;*****************zoom extents

(defun c:ze ()
(setvar "whiparc" 1)
  (command "_.zoom" "_e")
(command "regenall")
(setvar "whiparc" 0)


  (princ)
)

;********************zoom previous  

(defun c:zp ()
(setvar "whiparc" 1)
  (command "_.zoom" "_p")
(setvar "whiparc" 0)
(command "redraw")

  (princ)
)



(defun c:xx ()
(setvar "whiparc" 1)
  (command "_.zoom" "_p")
(setvar "whiparc" 0)
(command "redraw")
  (princ)
)

;**********************zoom window
(defun c:w ()
;(setvar "cmdecho" 0)
(setq oomm (getvar "snapmode"))
(princ "\n Pick a 1st corner Then Final Corner ")
(setvar "snapmode" 0)
(setvar "whiparc" 1)
(command "zoom" pause pause)


  (command "redraw")
 
 (setvar "whiparc" 0)
 ;(setvar "regenmode" oosm)
 (setvar "snapmode" oomm)
 ;(setvar "CMDECHO" 1)
  (princ)
)




Mike
LDC 2009/C3D 2010/C3D 2011/C3D 2016

Win 10 64bit

Birdy

  • Guest
Osnaps in polyline object.....
« Reply #18 on: September 01, 2005, 09:55:09 AM »
Thanks for the replies!
We had no power all morning (someone tripped over the extension cord!) so I'm gettin a late start today.  Good nap though :)